# Gev_Analysis

GevAnalysis is a comprehensive tool for advanced financial analysis, including Value at Risk (VaR) calculations, Extreme Value Analysis (EVA), and statistical normality testing. With this library, users can easily fetch market data from Yahoo Finance, perform analyses, and visualize results.

---

## Features

- **Market Data Retrieval**: Automatically fetch stock market data from Yahoo Finance.
- **Value at Risk (VaR) Calculations**: Based on empirical, normal, t-Student, and Laplace distributions.
- **Extreme Value Analysis (EVA)**:
  - Fit Generalized Extreme Value (GEV) and Generalized Pareto Distribution (GPD).
  - Perform block minima and exceedance analysis.
- **Normality Testing**: Shapiro-Wilk and Jarque-Bera tests for statistical normality.
- **Visualizations**: High-quality plots for comparing distributions and results.

---

## Installation

Install the library directly via pip:

```bash
pip install gev_analysis
